[Alienware m15x] overheat/batterylife

Bug #880155 reported by Zayed Alfalasi on 2011-10-23
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I just start using ubuntu 11.10 because of the cool effects, sadly I can't use compiz for some reason.
First I started noticing the battery life draining very fast. Then I started noticing that the fan is going all out and the laptop overheats for no reason.
System: Alienware m15x, Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz, Nvidia GT 555m.
Also, I have a feature that is in windows 7 called optimus. I think if i get to use optimus my laptop will perform better..
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC665 Analog [ALC665 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: zayed 1572 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xda800000 irq 54'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0665,10280491,00100003 HDA:80862805,80860101,00100000'
   Controls : 23
   Simple ctrls : 12
DistroRelease: Ubuntu 11.10
MachineType: Alienware M14xR1
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=3022B62022B5EACC loop=/hostname/disks/root.disk ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
StagingDrivers: rts_pstor mei
Tags: oneiric running-unity staging
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 08/12/2011
dmi.bios.vendor: Alienware
dmi.bios.version: A05
dmi.board.name: M14xR1
dmi.board.vendor: Alienware
dmi.board.version: A05
dmi.chassis.type: 8
dmi.chassis.vendor: Alienware
dmi.chassis.version: A05
dmi.modalias: dmi:bvnAlienware:bvrA05:bd08/12/2011:svnAlienware:pnM14xR1:pvrA05:rvnAlienware:rnM14xR1:rvrA05:cvnAlienware:ct8:cvrA05:
dmi.product.name: M14xR1
dmi.product.version: A05
dmi.sys.vendor: Alienware

affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 880155

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Hello
please run in a terminal
apport-collect -p linux 880155
Thanks
Fabio

apport information

tags: added: apport-collected oneiric running-unity staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I have sent the report requested by fabio marconi

On Sun, Oct 23, 2011 at 11:00 AM, Fabio Marconi <email address hidden>wrote:

> ** Package changed: ubuntu => linux (Ubuntu)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/880155
>
> Title:
> overheat/batterylife
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> I just start using ubuntu 11.10 because of the cool effects, sadly I can't
> use compiz for some reason.
> First I started noticing the battery life draining very fast. Then I
> started noticing that the fan is going all out and the laptop overheats for
> no reason.
> System: Alienware m15x, Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz, Nvidia
> GT 555m.
> Also, I have a feature that is in windows 7 called optimus. I think if i
> get to use optimus my laptop will perform better..
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/880155/+subscriptions
>

[ 1.246643] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEG0._PRT]
[ 1.246707] \_SB_.PCI0:_OSC invalid UUID
[ 1.246708] _OSC request data:1 1f 1f
[ 1.246712] pci0000:00: Requesting ACPI _OSC control (0x1d)
[ 1.246739] \_SB_.PCI0:_OSC invalid UUID
[ 1.246740] _OSC request data:1 0 1d
[ 1.246744] pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
[ 1.246745] ACPI _OSC control for PCIe not granted, disabling ASPM

===//===

[ 1.422121] ACPI: Deprecated procfs I/F for AC is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[ 1.482049] ACPI: AC Adapter [ACAD] (off-line)
[ 1.482170] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0
[ 1.482195] ACPI: Lid Switch [LID0]
[ 1.482223] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
[ 1.482226] ACPI: Power Button [PWRF]
[ 1.482250] ACPI: acpi_idle yielding to intel_idle
[ 1.503101] ACPI: Deprecated procfs I/F for battery is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[ 1.503117] ERST: Table is not found!

Probably a dup of https://bugzilla.kernel.org/show_bug.cgi?id=36932
not verifiable actually cause bugzilla down

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-therm
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest release candidate kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

tags: added: needs-upstream-testing
Download full text (4.1 KiB)

Hello sir,

I'm fairly new to ubuntu(starting using it last week) I really have no clue
what I have to type in the terminal. Could you please be more specific in
what i should type in?

Sincerely,
Zayed Alfalasi

On Mon, Oct 24, 2011 at 4:40 PM, Joseph Salisbury <
<email address hidden>> wrote:

> Would it be possible for you to test the latest upstream kernel? It
> will allow additional upstream developers to examine the issue. Refer to
> https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test
> the latest release candidate kernel (Not a kernel in the daily
> directory). Once you've tested the upstream kernel, please remove the
> 'needs-upstream-testing' tag(Only that one tag, please leave the
> others). This can be done by clicking on the yellow pencil icon next to
> the tag located at the bottom of the bug description and deleting the
> 'needs-upstream-testing' text.
>
> If this bug is fixed by the mainline kernel, please add the following
> tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel
> version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-
> upstream-v3.1-rc9'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> ** Tags added: needs-upstream-testing
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/880155
>
> Title:
> overheat/batterylife
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> I just start using ubuntu 11.10 because of the cool effects, sadly I can't
> use compiz for some reason.
> First I started noticing the battery life draining very fast. Then I
> started noticing that the fan is going all out and the laptop overheats for
> no reason.
> System: Alienware m15x, Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz, Nvidia
> GT 555m.
> Also, I have a feature that is in windows 7 called optimus. I think if i
> get to use optimus my laptop will perform better..
> ---
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu3
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: PCH [HDA Intel PCH], device 0: ALC665 Analog [ALC665 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: zayed 1572 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'PCH'/'HDA Intel PCH at 0xda800000 irq 54'
> Mixer name : 'Intel CougarPoint HDMI'
> Components : 'HDA:10ec0665,10280491,00100003
> HDA:80862805,80860101,00100000'
> Controls : 23
> Simple ctrls : 12
> DistroRelease: Ubuntu 11.10
> MachineType: Alienware M14xR1
> NonfreeKernelModules: nvidia
> Package: linux (not installed)
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic
> root=UUID=3022B62022B5EACC loop=/hostname/disks/root.disk ro quiet splash
> vt.handoff=7
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
>...

Read more...

Zayed Alfalasi (101zayed) wrote :
Download full text (4.7 KiB)

I have tried downloading the following:

linux-headers-2.6.27-02062715-generic_2.6.27-02062715_amd64.deb

linux-image-2.6.27-02062715-generic_2.6.27-02062715_amd64.deb

they both did not work i got the following error:

zayed@ubuntu:~$ linux-image-2.6.27-02062715-generic_2.6.27-02062715_amd64.deb

linux-image-2.6.27-02062715-generic_2.6.27-02062715_amd64.deb: command not found

On Mon, Oct 24, 2011 at 6:06 PM, Zayed Alfalasi <email address hidden> wrote:

> Hello sir,
>
> I'm fairly new to ubuntu(starting using it last week) I really have no clue
> what I have to type in the terminal. Could you please be more specific in
> what i should type in?
>
> Sincerely,
> Zayed Alfalasi
>
>
> On Mon, Oct 24, 2011 at 4:40 PM, Joseph Salisbury <
> <email address hidden>> wrote:
>
>> Would it be possible for you to test the latest upstream kernel? It
>> will allow additional upstream developers to examine the issue. Refer to
>> https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test
>> the latest release candidate kernel (Not a kernel in the daily
>> directory). Once you've tested the upstream kernel, please remove the
>> 'needs-upstream-testing' tag(Only that one tag, please leave the
>> others). This can be done by clicking on the yellow pencil icon next to
>> the tag located at the bottom of the bug description and deleting the
>> 'needs-upstream-testing' text.
>>
>> If this bug is fixed by the mainline kernel, please add the following
>> tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel
>> version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-
>> upstream-v3.1-rc9'.
>>
>> If the mainline kernel does not fix this bug, please add the tag:
>> 'kernel-bug-exists-upstream'.
>>
>> ** Tags added: needs-upstream-testing
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/880155
>>
>> Title:
>> overheat/batterylife
>>
>> Status in “linux” package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> I just start using ubuntu 11.10 because of the cool effects, sadly I
>> can't use compiz for some reason.
>> First I started noticing the battery life draining very fast. Then I
>> started noticing that the fan is going all out and the laptop overheats for
>> no reason.
>> System: Alienware m15x, Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz, Nvidia
>> GT 555m.
>> Also, I have a feature that is in windows 7 called optimus. I think if i
>> get to use optimus my laptop will perform better..
>> ---
>> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>> ApportVersion: 1.23-0ubuntu3
>> Architecture: amd64
>> ArecordDevices:
>> **** List of CAPTURE Hardware Devices ****
>> card 0: PCH [HDA Intel PCH], device 0: ALC665 Analog [ALC665 Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: zayed 1572 F.... pulseaudio
>> CRDA: Error: [Errno 2] No such file or directory
>> Card0.Amixer.info:
>> Card hw:0 'PCH'/'HDA Intel PCH at 0xda800000 irq 54'
>> Mixer name : 'Intel CougarPoint HDMI'
>> Components : 'H...

Read more...

Philippe Coval (rzr) wrote :

FYI you can install those deb files by typing in the terminal :

sudo dpkg -i *.deb

Note I came here because I have similar logs on lenovo g470 running debian :

http://rzr.online.fr/q/aspm

Philippe Coval (rzr) on 2011-11-03
tags: added: bios
bryncoles (brunomatti) wrote :

I'm also hit by this overheating issue -- it happens whenever I'm doing cpu-intensive activities which shouldn't trouble my laptop (they never did in ubuntu10:4).

Currently, I'm using Xubuntu 11:10.

$ uname -a
Linux bryn-laptop 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:56:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric

Do you need anything else?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Philippe Coval (rzr) wrote :

Hi,

May this help to investigate, I noted this in the log :

[ 1.237736] HEST: Table not found.
[ 1.237738] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[ 1.238018] \_SB_.PCI0:_OSC invalid UUID
[ 1.238019] _OSC request data:1 8 1f

This one is reported there too :

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/668148# toshiba Qosmio x505-887

It's also affecting lenovo-g470

--
http://rzr.online.fr/q/lenovo

Zayed Alfalasi, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. As per https://wiki.ubuntu.com/Kernel/PowerManagementASPM a patch was issued to address overheating. If this is still affecting you could you please try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - overheat/batterylife
+ [Alienware m15x] overheat/batterylife
madbiologist (me-again) wrote :

Using Optimus should be possible in the currently under-development Ubuntu 13.10 "Saucy Salamander", but the open-source nouveau driver still has poor power management so you might still have short battery life and high heat, in which case a better option might be to disable the nvidia card as described in comments #13 and #14 at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/876854

tags: added: bios-outdated-a08
removed: bios
tags: added: regression-potential
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.